using System;
using Addison_Wesley.Codebook.Filesystem;
using System.Collections.Generic;
using System.IO;

namespace Laufwerk_Typ
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
         Console.Title = "Zjištění všech zařízení daného typu";

         // Zjistíme oddíly pevných disků...
         Console.WriteLine("Všechny oddíly pevných disků:");
         List<DriveInfo> driveInfos = DriveUtil.GetDriveInfos(DriveType.Fixed);

         // ...a projdeme je
         foreach (DriveInfo driveInfo in driveInfos)
         {
            Console.WriteLine(driveInfo.Name.Replace(":\\", ""));
         }

         // Zjistíme všechna zařízení CD-ROM ... 
         Console.WriteLine("\r\nVšechna zařízení CD ROM:");
         driveInfos = DriveUtil.GetDriveInfos(DriveType.CDRom);

         // ...a projdeme je
         foreach (DriveInfo driveInfo in driveInfos)
         {
            Console.WriteLine(driveInfo.Name.Replace(":\\", ""));
         }

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
